routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::post('/results', 'ReparationController@get_info')->name('results');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['middleware' => 'auth'], function () {
    Route::resource('/voitures', 'VoitureController')->except('destroy');
    Route::get('/voitures/delete/{id}', 'VoitureController@destroy')->name('voitures.destroy');


    Route::get('/get_modeles/{id}','MarqueController@get_modeles');


    Route::resource('/clients', 'ClientController')->except('destroy');
    Route::get('/clients/delete/{id}', 'ClientController@destroy')->name('clients.destroy');


    Route::resource('/reparations', 'ReparationController')->except('destroy');
    Route::get('/reparations/delete/{id}', 'ReparationController@destroy')->name('reparations.destroy');


    Route::resource('/interventions', 'InterventionController')->except('destroy');
    Route::get('/interventions/delete/{id}', 'InterventionController@destroy')->name('interventions.destroy');


});

app/Voiture.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Voiture extends Model
{
    public function marques(){
        return $this->belongsTo('App\Marque','marque_id');
    }

    public function modeles(){
        return $this->belongsTo('App\Modele','modele_id');
    }
}

app/Http/Controllers/VoitureController.php
<?php

namespace App\Http\Controllers;

use App\Marque;
use App\Modele;
use App\Voiture;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class VoitureController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $voitures = Voiture::all();

        return view('backend.voitures.index',compact('voitures'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $marques = Marque::all();
        $modeles = Modele::all();
        return view('backend.voitures.create',compact('modeles','marques'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate(request(), [
            'titre' => 'required',
            'marque_id' => 'required',
            'modele_id' => 'required',
            'coleur_int' => 'required',
            'coleur_ext' => 'required',
        ]);

        $voiture = new Voiture();

        $voiture->titre = request('titre');
        $voiture->marque_id = request('marque_id');
        $voiture->modele_id = request('modele_id');
        $voiture->coleur_int = request('coleur_int');
        $voiture->coleur_ext = request('coleur_ext');
        $voiture->save();

        return redirect('/voitures');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Voiture  $voiture
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $voiture = Voiture::find($id);
        $marques = Marque::all();
        $modeles = Modele::all();

        return view('backend.voitures.edit',compact('voiture','marques','modeles'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Voiture  $voiture
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $voiture = Voiture::find($id);
        $marques = Marque::all();
        $modeles = Modele::all();

        return view('backend.voitures.edit',compact('voiture','marques','modeles'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Voiture  $voiture
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate(request(), [
            'titre' => 'required',
            'marque_id' => 'required',
            'modele_id' => 'required',
            'coleur_int' => 'required',
            'coleur_ext' => 'required',
        ]);

        $voiture = Voiture::find($id);

        $voiture->titre = request('titre');
        $voiture->marque_id = request('marque_id');
        $voiture->modele_id = request('modele_id');
        $voiture->coleur_int = request('coleur_int');
        $voiture->coleur_ext = request('coleur_ext');
        $voiture->save();

        return redirect('/voitures');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Voiture  $voiture
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $voiture = Voiture::find($id)->delete();

        return redirect()->back();
    }
}

resources/views/backend/voitures/create.blade.php
@extends('layouts.dashboard')

@section('content')

    <section class="content">
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Ajouter voiture</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="post" action="{{route('voitures.store')}}">
                @csrf
                <div class="card-body">
                    @if(count($errors))
                        <div class="form-group">
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    @endif
                    <div class="form-group">
                        <label for="exampleInputEmail1">Sélectionner la marque</label>
                        <select class="form-control" name="marque_id" id="my_select">
                            <option>Sélectionner une marque</option>
                        @foreach($marques as $marque)
                            <option value="{{$marque->id}}">{{$marque->title}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Sélectionner le modéle</label>
                        <select class="form-control" name="modele_id" id="modele_id">

                        </select>
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Titres</label>
                        <input type="text" class="form-control" name="titre" placeholder="titre">
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Coleur intérieur</label>
                        <input type="text" class="form-control" name="coleur_int">
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Coleur exterieur</label>
                        <input type="text" class="form-control" name="coleur_ext">
                    </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </section>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>

    <script>

        $('#my_select').on('change', function (e) {

            var marque_id = e.target.value;
            $.ajax({
                type: 'GET',
                url: "{{url('/get_modeles')}}/" + marque_id,
                success: function (data) {
                    console.log(data);
                    $('#modele_id').empty();
                        $html = '';
                        $.each(data, function (index, codesObj) {
                            $html += '<option value="' + codesObj.id + '" >' + codesObj.title + '</option>';

                        })
                        $('#modele_id').append($html);

                }

            });
        });

    </script>
@endsection

resources/views/backend/voitures/edit.blade.php
@extends('layouts.dashboard')

@section('content')

    <section class="content">
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Modifier voiture</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="post" action="{{route('voitures.update',$voiture->id)}}">
                @csrf
                {{ method_field('PUT') }}
                <div class="card-body">
                    @if(count($errors))
                        <div class="form-group">
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    @endif
                    <div class="form-group">
                        <label for="exampleInputEmail1">Sélectionner la marque</label>
                        <select class="form-control" name="marque_id">
                            @foreach($marques as $marque)
                                <option value="{{$marque->id}}" @if($voiture->marque_id == $marque->id) selected @endif>{{$marque->title}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Sélectionner le modéle</label>
                        <select class="form-control" name="modele_id">
                            @foreach($modeles as $m)
                                <option value="{{$m->id}}" @if($voiture->modele_id == $m->id) selected @endif>{{$m->title}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Titres</label>
                        <input type="text" class="form-control" name="titre" value="{{$voiture->titre}}">
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Coleur intérieur</label>
                        <input type="text" class="form-control" name="coleur_int" value="{{$voiture->coleur_int}}">
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Coleur exterieur</label>
                        <input type="text" class="form-control" name="coleur_ext" value="{{$voiture->coleur_ext}}">
                    </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </section>

@endsection

resources/views/backend/voitures/index.blade.php
@extends('layouts.dashboard')

@section('content')
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <div style="float: right">
                                <a href="{{route('voitures.create')}}" class="btn btn-success">Ajouter voiture</a>
                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example2" class="table table-bordered table-hover">
                                <thead>
                                <tr>
                                    <th>Marque</th>
                                    <th>Modéle</th>
                                    <th>titre(s)</th>
                                    <th>Coleur intérieur</th>
                                    <th>Coleur extérieur</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($voitures as $v)
                                <tr>
                                    <td>{{$v->marques->title}}</td>
                                    <td>{{$v->modeles->title}}
                                    </td>
                                    <td>{{$v->titre}}</td>
                                    <td>{{$v->coleur_int}}</td>
                                    <td>{{$v->coleur_ext}}</td>

                                    <td>
                                        <a href="{{route('voitures.show',$v->id)}}"class="btn btn-warning">Afficher</a>
                                        <a href="{{route('voitures.edit',$v->id)}}" class="btn btn-info">Editer</a>
                                        <a href="{{route('voitures.destroy',$v->id)}}" class="btn btn-danger"><i class="fa fa-trash"></i> </a>

                                    </td>
                                </tr>
                                @endforeach

                                </tfoot>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
    </section>

@endsection